package com.microservices.zone.resource.domain.vo;

import com.microservices.zone.resource.domain.ZoneResourceType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author otto
 */
@Data
@ApiModel("资源类别搜索对象")
public class ZoneResourceTypeSearchVo {
    @ApiModelProperty(value = "资源类别名称")
    private String name;
    @ApiModelProperty(value = "所属专区")
    private Long zoneId;

    public ZoneResourceType toZoneResourceType() {
        ZoneResourceType zoneResourceType = new ZoneResourceType();
        zoneResourceType.setZoneId(zoneId);
        zoneResourceType.setName(name);
        return zoneResourceType;
    }
}
